Skip to content
View as Markdown

PUT Update Contact​

PUT
/subscribers/{id}

Update an existing contact's fields, custom values, tags, and lists. Supports attaching and detaching tags/lists in a single request. The subscriber object or individual fields can be passed in the request body.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"subscriber": {
"email": "string",
"first_name": "string",
"last_name": "string",
"prefix": "string",
"status": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"custom_values": {
"additionalProperties": "string"
},
"attach_tags": [
0
],
"detach_tags": [
0
],
"attach_lists": [
0
],
"detach_lists": [
0
]
}
}

Responses​

Contact updated successfully.

application/json
JSON
{
"message": "string",
"contact": {
"id": 0,
"user_id": "string",
"hash": "string",
"contact_owner": "string",
"company_id": 0,
"prefix": "string",
"first_name": "string",
"last_name": "string",
"full_name": "string",
"email": "string",
"status": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"ip": "string",
"latitude": 0,
"longitude": 0,
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"life_time_value": 0,
"last_activity": "string",
"total_points": 0,
"created_at": "string",
"updated_at": "string",
"photo": "string",
"tags": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"lists": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"stats": {
"emails": 0,
"opens": 0,
"clicks": 0,
"total_points": 0,
"last_activity": "string"
}
},
"isDirty": true,
"values": {
"additionalProperties": "string"
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI